import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  companyuserInfo: `/api/financial/dictionary`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.companyuserInfo}`, { skip, limit, ...info });
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.companyuserInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.companyuserInfo}/update/${id}`, data);
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.companyuserInfo}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
